<template>
    <div>
        <v-card class="overflow-hidden">
            <v-app-bar
            absolute
            color="indigo darken-2"
            dark
            shrink-on-scroll
            prominent
            scroll-target="#scrolling-layout"
            >

                <slot name="iconbar"></slot>


                <v-app-bar-title>{{props.title}}</v-app-bar-title>

                <v-spacer></v-spacer>

                <!-- <v-btn icon>
                    <v-icon>mdi-magnify</v-icon>
                </v-btn>

                <v-btn icon>
                    <v-icon>mdi-heart</v-icon>
                </v-btn> -->

                <v-menu
                    bottom
                    left
                >
                    <template v-slot:activator="{ on, attrs }">
                        <v-btn
                            icon
                            color="white"
                            v-bind="attrs"
                            v-on="on"
                        >
                            <v-icon>mdi-dots-vertical</v-icon>
                        </v-btn>
                    </template>

                    <v-list class="mt-8">
                        <v-list-item>
                            <v-list-item-title >Perfil</v-list-item-title>
                        </v-list-item>

                        <v-list-item @click="store.dispatch('closeSession')">
                            <v-list-item-title >Salir</v-list-item-title>
                        </v-list-item>
                    </v-list>

                </v-menu>

            </v-app-bar>

            <slot name="navigation"></slot>

            <v-bottom-navigation
                absolute
                color="white"
                hide-on-scroll
                horizontal
                scroll-target="#scrolling-layout"
                scroll-threshold="500"
                class="mt"
            >
                <slot name="actions"></slot>

            </v-bottom-navigation>

            <v-sheet
                id="scrolling-layout"
                class="overflow-y-auto"
                max-height="600"
            >
                <v-container>
                    <v-container style="height: 150px;" ></v-container>
                    <slot></slot>
                </v-container>
                
            </v-sheet>
        </v-card>
    </div>
    

</template>

<script setup>
    import store from '@/store';
    
    const props = defineProps(['title']);
</script>

<style>

</style>